Bug 96750 - [BlackBerry] Prevent scroll adjustment of input fields when region of interest mechanism active
Summary: [BlackBerry] Prevent scroll adjustment of input fields when region of interes...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit BlackBerry (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Arvid Nilsson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-14 04:02 PDT by Arvid Nilsson
Modified: 2012-09-18 01:17 PDT (History)
5 users (show)

See Also:


Attachments
Patch (4.45 KB, patch)
2012-09-14 17:11 PDT, Arvid Nilsson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Nilsson 2012-09-14 04:02:28 PDT
The region of interest mechanism replaces the scrolling/zooming functionality
in
BlackBerry::WebKit::InputHandler::ensureFocusTextElementVisible(CaretScrollType
scrollType).

We accomplish this by introducing a new fine-grained setting for the various adjustment modes.

Whoever enables ROI needs to disable all scroll types using the new setting.

PR 208387
Comment 1 Arvid Nilsson 2012-09-14 17:11:22 PDT
Created attachment 164252 [details]
Patch
Comment 2 Antonio Gomes 2012-09-17 07:04:55 PDT
Comment on attachment 164252 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=164252&action=review

> Source/WebKit/blackberry/WebKitSupport/InputHandler.cpp:1055
> -    if (!Platform::Settings::instance()->allowCenterScrollAdjustmentForInputFields() && scrollType != EdgeIfNeeded)
> +    if (!(Platform::Settings::instance()->allowedScrollAdjustmentForInputFields() & scrollType))

I would name it scrollAdjustmentForInputFieldsPolicy, but this this also ok.

> Source/WebKit/blackberry/WebKitSupport/InputHandler.h:71
> +    enum CaretScrollType { CenterAlways = BlackBerry::Platform::Settings::ScrollAdjustmentCenterAlways,
> +                           CenterIfNeeded = BlackBerry::Platform::Settings::ScrollAdjustmentCenterIfNeeded,
> +                           EdgeIfNeeded = BlackBerry::Platform::Settings::ScrollAdjustmentEdgeIfNeeded };

there are compile asserts we can add to ensure these values match.
Comment 3 WebKit Review Bot 2012-09-18 01:16:58 PDT
Comment on attachment 164252 [details]
Patch

Clearing flags on attachment: 164252

Committed r128858: <http://trac.webkit.org/changeset/128858>
Comment 4 WebKit Review Bot 2012-09-18 01:17:01 PDT
All reviewed patches have been landed.  Closing bug.